[pacman-dev] [PATCH] Treat info pages like man pages

Allan McRae allan at archlinux.org
Tue Aug 12 13:08:15 EDT 2008


As far a package building is concerned, info pages need to be treated
in the same fashion as man pages in that they both can be compressed.
This separates them from other forms of documentation and so it makes
sense to make that distinction within makepkg.

Signed-off-by: Allan McRae <allan at archlinux.org>
---
 doc/PKGBUILD.5.txt     |    6 +++---
 doc/makepkg.conf.5.txt |    6 +++---
 etc/makepkg.conf.in    |    2 +-
 scripts/makepkg.sh.in  |   12 ++++++------
 4 files changed, 13 insertions(+), 13 deletions(-)

diff --git a/doc/PKGBUILD.5.txt b/doc/PKGBUILD.5.txt
index 0b1ce64..cf6eb23 100644
--- a/doc/PKGBUILD.5.txt
+++ b/doc/PKGBUILD.5.txt
@@ -181,8 +181,8 @@ similar to `$_basekernver`.
 		disable this option.
 
 	*docs*;;
-		Save doc and info directories. If you wish to delete doc and
-		info directories, specify `!docs` in the array.
+		Save doc directories. If you wish to delete doc directories,
+		specify `!docs` in the array.
 
 	*libtool*;;
 		Leave libtool (.la) files in packages. Specify `!libtool` to
@@ -192,7 +192,7 @@ similar to `$_basekernver`.
 		Leave empty directories in packages.
 
 	*zipman*;;
-		Compress man pages with gzip.
+		Compress man and info pages with gzip.
 
 	*ccache*;;
 		Allow the use of ccache during build. More useful in its negative
diff --git a/doc/makepkg.conf.5.txt b/doc/makepkg.conf.5.txt
index 8b39c46..57b229f 100644
--- a/doc/makepkg.conf.5.txt
+++ b/doc/makepkg.conf.5.txt
@@ -110,8 +110,8 @@ Options
 		option.
 
 	*docs*;;
-		Save doc and info directories. If you wish to delete doc and info
-		directories, specify `!docs' in the array.
+		Save doc directories. If you wish to delete doc directories, specify
+		`!docs' in the array.
 
 	*libtool*;;
 		Leave libtool (.la) files in packages. Specify `!libtool' to remove
@@ -121,7 +121,7 @@ Options
 		Leave empty directories in packages.
 
 	*zipman*;;
-		Compress man pages with gzip.
+		Compress man and info pages with gzip.
 
 **INTEGRITY_CHECK=(**check1 ...**)**::
 	File integrity checks to use. Multiple checks may be specified; this
diff --git a/etc/makepkg.conf.in b/etc/makepkg.conf.in
index 0241a8e..057f563 100644
--- a/etc/makepkg.conf.in
+++ b/etc/makepkg.conf.in
@@ -72,7 +72,7 @@ OPTIONS=(strip docs libtool emptydirs zipman)
 #-- File integrity checks to use. Valid: md5, sha1, sha256, sha384, sha512
 INTEGRITY_CHECK=(md5)
 #-- Info and doc directories to remove (if option set correctly above)
-DOC_DIRS=(usr/{,share/}{info,doc,gtk-doc} opt/*/{info,doc,gtk-doc})
+DOC_DIRS=(usr/{,share/}{doc,gtk-doc} opt/*/{doc,gtk-doc})
 #-- Directories to be searched for the strip option (if option set correctly above)
 STRIP_DIRS=(bin lib sbin usr/{bin,lib,sbin,local/{bin,lib,sbin}} opt/*/{bin,lib,sbin})
 
diff --git a/scripts/makepkg.sh.in b/scripts/makepkg.sh.in
index c5dbed9..a665ba7 100644
--- a/scripts/makepkg.sh.in
+++ b/scripts/makepkg.sh.in
@@ -679,16 +679,16 @@ tidy_install() {
 	msg "$(gettext "Tidying install...")"
 
 	if [ "$(check_option docs)" = "n" ]; then
-		msg2 "$(gettext "Removing info/doc files...")"
+		msg2 "$(gettext "Removing doc files...")"
 		#fix flyspray bug #5021
 		rm -rf ${DOC_DIRS[@]}
 	fi
 
 	if [ "$(check_option zipman)" = "y" ]; then
-		msg2 "$(gettext "Compressing man pages...")"
+		msg2 "$(gettext "Compressing man and info pages...")"
 		local manpage mandirs ext file link hardlinks hl
-		mandirs="usr/man usr/share/man usr/local/man usr/local/share/man opt/*/man"
-		find ${mandirs} -type f 2>/dev/null |
+		mandirs=({usr{,/local}{,/share},opt/*}/{man,info})
+		find ${mandirs[@]} -type f 2>/dev/null |
 		while read manpage ; do
 			# check file still exists (potentially compressed with hard link)
 			if [ -f ${manpage} ]; then
@@ -696,7 +696,7 @@ tidy_install() {
 				file="${manpage##*/}"
 				if [ "$ext" != "gz" -a "$ext" != "bz2" ]; then
 					# update symlinks to this manpage
-					find ${mandirs} -lname "$file" 2>/dev/null |
+					find ${mandirs[@]} -lname "$file" 2>/dev/null |
 					while read link ; do
 						rm -f "$link"
 						ln -sf "${file}.gz" "${link}.gz"
@@ -704,7 +704,7 @@ tidy_install() {
 					# find hard links and remove them
 					#   the '|| true' part keeps the script from bailing if find returned an
 					#   error, such as when one of the man directories doesn't exist
-					hardlinks="$(find ${mandirs} \! -name "$file" -samefile "$manpage" 2>/dev/null)" || true
+					hardlinks="$(find ${mandirs[@]} \! -name "$file" -samefile "$manpage" 2>/dev/null)" || true
 					for hl in ${hardlinks}; do
 						rm -f "${hl}";
 					done
-- 
1.5.6.5




More information about the pacman-dev mailing list